Bug 830053 - Review Request: ibus-libpinyin - Intelligent Pinyin engine based on libpinyin for IBus
Review Request: ibus-libpinyin - Intelligent Pinyin engine based on libpinyin...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 01:36 EDT by Peng Wu
Modified: 2012-07-22 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-22 22:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2012-06-08 01:36:37 EDT
Spec URL: http://pwu.fedorapeople.org/ibus-libpinyin/ibus-libpinyin.spec
SRPM URL: http://pwu.fedorapeople.org/ibus-libpinyin/ibus-libpinyin-1.4.0-1.fc17.src.rpm
Description: It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo) input method based on libpinyin for IBus.
Fedora Account System Username:pwu
Comment 1 Parag AN(पराग) 2012-06-11 01:44:29 EDT
Review:

+ koji build f18 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4147698

+ rpmlint on rpms gave
ibus-libpinyin.x86_64: E: incorrect-fsf-address /usr/share/ibus-libpinyin/setup/version.py
ibus-libpinyin.x86_64: E: incorrect-fsf-address /usr/libexec/ibus-setup-libpinyin
ibus-libpinyin.x86_64: E: incorrect-fsf-address /usr/share/ibus-libpinyin/setup/main2.py
2 packages and 0 specfiles checked; 3 errors, 0 warnings.
==> You can inform upstream to update fsf address

+ source verified with upstream as (sha1sum)
2fbc315711df1472cccd4849b3438d14faa65f94  ibus-libpinyin-1.4.0.tar.gz
2fbc315711df1472cccd4849b3438d14faa65f94  ../SOURCES/ibus-libpinyin-1.4.0.tar.gz

+ Package: ibus-libpinyin-1.4.0-1.fc18.x86_64
Provides: ibus-libpinyin = 1.4.0-1.fc18 ibus-libpinyin(x86-64) = 1.4.0-1.fc18
Requires: /bin/sh libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) libdl.so.2()(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libgio-2.0.so.0()(64bit) libglib-2.0.so.0()(64bit) libgobject-2.0.so.0()(64bit) libibus-1.0.so.5()(64bit) liblua-5.1.so()(64bit) libm.so.6()(64bit) libopencc.so.1()(64bit) libpinyin.so.0()(64bit) libpinyin.so.0(LIBPINYIN)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libsqlite3.so.0()(64bit) libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3)(64bit) libstdc++.so.6(GLIBCXX_3.4)(64bit) libstdc++.so.6(GLIBCXX_3.4.11)(64bit) libstdc++.so.6(GLIBCXX_3.4.14)(64bit) libuuid.so.1()(64bit) rtld(GNU_HASH)

suggestions:
1) Try not to hardcode the version in requires and buildrequires. Only if there is strict dependency of any version then only mention that in spec.

2) If this package is not for RHEL then you can remove following
   a)removal of buildroot in %install
   b) %clean section
   c) %defattr(-,root,root,-)
3) A new macro has been introduced in latest changes in packaging guidelines. See http://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

Use -> %make_install INSTALL="install -p"

above will also preserve timestamps.
APPROVED.
Comment 2 Peng Wu 2012-06-11 02:46:31 EDT
New Package SCM Request
=======================
Package Name: ibus-libpinyin
Short Description: Intelligent Pinyin engine based on libpinyin for IBus
Owners: pwu
Branches: f16 f17
InitialCC: i18n-team petersen
Comment 3 Gwyn Ciesla 2012-06-11 08:48:37 EDT
Git done (by process-git-requests).
Comment 4 Parag AN(पराग) 2012-07-20 06:38:25 EDT
When can this be closed?
Comment 5 Peng Wu 2012-07-22 22:45:22 EDT
Sorry, forget it. Close bug.

Note You need to log in before you can comment on or make changes to this bug.